<?php

namespace Modules\Payment\Interfaces;

use Modules\Payment\Models\Payment;
use Modules\Payment\Models\PaymentDetails;

interface PaymentRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Payment;
    public function createDetails(array $request): PaymentDetails;
    public function update(array $request, Payment $payment): Payment;
    public function destroy(Payment $payment): void;
    public function destroyAll(array $ids): void;
    public function restore(Payment $payment): void;
    public function restoreAll(array $ids): void;
}
